---
name: Bug report
about: Create a report to help us improve
title: ''
labels: bug
assignees: ''

---

## Example bug report template

> Don't worry if you have trouble getting some of this info. Just leave it out.

**Description of the bug**
> Please don't just say it's "not working".

**Steps to reproduce**
> Steps to reproduce the bug. This usually doesn't need to be super detailed.
1. Go to '...'
2. Click on '...'
3. See error message '...'

**Versions**
> Please complete the following information.
 - Background Music: [e.g. "0.3.2" or "0.4.0-SNAPSHOT-c0ab98b". `Preferences > About Background Music`]
 - macOS: [e.g. "11.3 Beta (20E5172i)" or "Big Sur". ` > About This Mac`]

**Hardware**
> Delete this part if you think it's probably not necessary.
 - Computer: [e.g. "MacBook Pro (13-inch, 2016, Four Thunderbolt 3 Ports)". ` > About This Mac`]
 - Audio Device: [e.g. "Built-in Output. Manufacturer: Apple Inc. Output Channels: 2 [...]". `System Information app > Hardware > Audio`]

**Debug logs**
> If you think the developers might not be able to reproduce the bug on their computers, e.g. because an important feature is completely broken and they would have noticed, it can help to include [debug logs](https://github.com/kyleneideck/BackgroundMusic/wiki/Getting-Debug-Logs). This takes a little effort, so feel free to leave it out at first.

[Debug logs attached here](https://github.com/example/background-music-debug-logs.txt)

**Other info**
> Anything else you want to add?

---

> Tips
> (Delete this section before posting.)
>  - https://github.com/kyleneideck/BackgroundMusic#troubleshooting
>  - Try the latest SNAPSHOT version from https://github.com/kyleneideck/BackgroundMusic/releases
>     - Especially if you're using macOS Big Sur.
>  - If your bug is one of common issues, consider leaving a comment or a +1 (👍) on an existing issue:
>     - Background Music currently only supports audio devices with two channels. Bluetooth devices often only have one.
>     - Volumes having no effect for certain apps: Microsoft Teams ([workaround](https://github.com/kyleneideck/BackgroundMusic/issues/268#issuecomment-604977210)), Zoom ([workaround](https://github.com/kyleneideck/BackgroundMusic/issues/396#issuecomment-741992157)), Discord ([workaround](https://github.com/kyleneideck/BackgroundMusic/issues/210#issuecomment-507048957), [see also](https://github.com/kyleneideck/BackgroundMusic/issues/267#issuecomment-617327850)), Chrome (sometimes)
